%define alphatag 20090212
%define vcs svn

Name:           libgarmin
Version:        0
Release:        0.9.%{alphatag}%{vcs}%{?dist}
Summary:        C library to parse and use Garmin image files

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://libgarmin.sourceforge.net/
Source0:        libgarmin-%{alphatag}%{vcs}.tar.bz2
Source1:        libgarmin-checkout.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake


%description
Libgarmin is a library used to parse IMG files from Garmin GPS devices.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{alphatag}


%build
./autosh.sh
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README TODO
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/garmintypes.txt
%{_bindir}/gar*


%files devel
%defattr(-,root,root,-)
%{_datadir}/%{name}/doc/*
%{_includedir}/*.h
%{_libdir}/%{name}.a
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.20090212svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20090212svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20090212svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 11 2009 Fabian Affolter <fabian@bernewireless.net> - 0-0.6.20090212svn
- Added virtual provide 
- Changed group tag
- Removed '--enable-static=no' to configure
- Removed INSTALL

* Thu Feb 12 2009 Fabian Affolter <fabian@bernewireless.net> - 0-0.5.20090212svn
- Updated from revision 315 to revision 320

* Sun Dec 14 2008 Fabian Affolter <fabian@bernewireless.net> - 0-0.4.20081214svn
- Updated from revision 307 to revision 315

* Mon Nov 10 2008 Fabian Affolter <fabian@bernewireless.net> - 0-0.3.20081026svn
- Added pkgconfig to devel-package
- Fixed %%doc stuff acc. #468631 comment #3

* Thu Oct 28 2008 Fabian Affolter <fabian@bernewireless.net> - 0-0.2.20081026svn
- Fixed license
- Don't delete *.a file
- Added '--enable-static=no' to configure

* Sun Oct 26 2008 Fabian Affolter <fabian@bernewireless.net> - 0-0.1.20081026svn
- Initial package for Fedora

